Hello all,
I'm trying to write what I thought would be a quick and easy NXOpen program to batch STP->NX conversions. We wanted a few other things such as changing part and background color that the translation tool doesn't provide. I'm having quite an issue trying to use the NXOpen methods to...
I've looked everywhere for the Extremum command but cannot seem to locate it! We have access to the GSD studio, but it doesn't appear in the wireframe toolbar, or in the insert > Wireframe menu. Has the name been changed within the UI? I can still utilize it through a macro, so I don't believe...
I am writing a small program to automate creating Jpgs from CATIA part captures. I had previously written a similar program in VB.net, but we are now transitioning to C#. I seem to be having a lot of trouble simply getting objects from many functions, and it seems like my program isn't fully...
We recently started upgrading to NX9 and noticed that the familiar UGS_LICENSE_BUNDLE environmental variable is no longer used. Internally, we have a custom program written to display who currently has licenses, and toggle buttons so users can easily select an unused license. Previously, new...
Do NXOpen applications need to be recompiled in order to run on 64-bit version of NX? I ask because one program I have written on a 32-bit system refuses to run on a 64-bit machine. NX returns the error "Image cannot be identified" or something similar to that. When I run the same executable on...
I'm having an issue with an NXOpen routine I wrote. It generates General Note PMIs based on some information, then posts it onto the screen. It works fine for other users except for one in particular. Whenever he runs the routine, the PMI is generated, but instead of solid lines it is displayed...
I've been working on a program to compute minimum part boxes, as well the the overall part volume/area/weight. The GRIP function (ANLSIS/SOLID) that pulled volume/area/weight was fairly quick, but the current MeasureBodies and AskPartProps3d speed is glacial!
Complex parts with many holes and...
I'm trying to setup an easy script for our QC department to export PDFs of annotated parts for verification. The script itself is extremely simple, but NX only seems to export the 3D images in the wireframe view. I tried toggling the ShadedGeometry option, but it doesn't seem to have any effect...
I am trying to cast the current work part as an NXObject so i can quickly pass it to the UFSession.Modl.AskBoundingBoxExac() method. If i manually select my work part through a select dialog, it get back an NXObject ByRef that AskBoundingBox will accept.
I am trying to avoid manual selection by...
I've written a c# program that allows me to import a number of parts simultaneously into a new assembly. Obviously they are in the correct locations, and I was wondering if there is a way to allow for user selection of edges in order to constrain the items.
Ideally this would be through the...
Can anyone tell me if there are any commands available in VB that allow you to change from the drafting module to the modeling module, assuming that modeling has not yet been started. I tried recording a few journals but it doesn't seem to record these events.
Bruce
Is there any way to convert a standard note into some type of geometry? I am trying to import a part into CATIA v5, but I lose all of my annotations when doing this. I've tried all of the formats, but nothing returns with my annotations.
Hi,
I've have a fairly simple GRIP program that measures the distance between 2 opposing surfaces. It applys a grid of points on the first surface, then projects those points onto the opposing surface, and measures the distance between each point. The results are printed to the Info Window.
The...